﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

		}

		// ロード
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			// 各色メニューのアイコンを設定
			Rectangle rect = new Rectangle(0, 0, 15, 15);
			for (int i = 0; i < this.contextMenuStrip2.Items.Count; i++)
			{
				ToolStripItem item = this.contextMenuStrip2.Items[i];
				string name = item.Text;
				try
				{
					Color color = Color.FromName(name);
					Bitmap bitmap = new Bitmap(16, 16);
					Graphics graphics = Graphics.FromImage(bitmap);
					graphics.FillRectangle(new SolidBrush(color), graphics.ClipBounds);
					graphics.DrawRectangle(Pens.Black, rect);
					item.Image = bitmap;
				}
				catch
				{
					continue;
				}
			}
		}

		// 開くボタンクリック
		private void dropDownButton1_Click(object sender, EventArgs e)
		{
			if (DialogResult.Cancel == this.openFileDialog1.ShowDialog(this))
			{
				return;
			}
			this.textBox1.Text = this.openFileDialog1.FileName;
		}

		// デスクトップメニュークリック
		private void menuDesktop_Click(object sender, EventArgs e)
		{
			this.openFileDialog1.InitialDirectory = System.Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory);
			if (DialogResult.Cancel == this.openFileDialog1.ShowDialog(this))
			{
				return;
			}
			this.textBox1.Text = this.openFileDialog1.FileName;
		}

		// マイ ドキュメントメニュークリック
		private void menuMyDocuments_Click(object sender, EventArgs e)
		{
			this.openFileDialog1.InitialDirectory = System.Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
			if (DialogResult.Cancel == this.openFileDialog1.ShowDialog(this))
			{
				return;
			}
			this.textBox1.Text = this.openFileDialog1.FileName;
		}

		// C ドライブメニュークリック
		private void menuCDrive_Click(object sender, EventArgs e)
		{
			this.openFileDialog1.InitialDirectory = @"C:\";
			if (DialogResult.Cancel == this.openFileDialog1.ShowDialog(this))
			{
				return;
			}
			this.textBox1.Text = this.openFileDialog1.FileName;
		}

		// 色ボタンクリック
		private void dropDownButton2_Click(object sender, EventArgs e)
		{
			if (DialogResult.Cancel == this.colorDialog1.ShowDialog(this))
			{
				return;
			}
			this.pictureBox1.BackColor = this.colorDialog1.Color;
		}

		// 各色メニュークリック
		private void menuColor_Click(object sender, EventArgs e)
		{
			ToolStripItem item = (ToolStripItem)sender;
			string name = item.Text;
			try
			{
				Color color = Color.FromName(name);
				this.pictureBox1.BackColor = color;
			}
			catch
			{
				return;
			}
		}

	}
}
