﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Partial Public Class Form1
    Inherits Form
    Public Sub New()

        InitializeComponent()
    End Sub

    ' ロード
    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        MyBase.OnLoad(e)

        ' 各色メニューのアイコンを設定
        Dim rect As New Rectangle(0, 0, 15, 15)
        For i As Integer = 0 To Me.contextMenuStrip2.Items.Count - 1
            Dim item As ToolStripItem = Me.contextMenuStrip2.Items(i)
            Dim name As String = item.Text
            Try
                Dim colorObj As Color = Color.FromName(name)
                Dim bitmapObj As New Bitmap(16, 16)
                Dim graphicsObj As Graphics = Graphics.FromImage(bitmapObj)
                graphicsObj.FillRectangle(New SolidBrush(colorObj), graphicsObj.ClipBounds)
                graphicsObj.DrawRectangle(Pens.Black, rect)
                item.Image = bitmapObj
            Catch
                Continue For
            End Try
        Next
    End Sub

    ' 開くボタンクリック
    Private Sub dropDownButton1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles dropDownButton1.Click
        If DialogResult.Cancel = Me.openFileDialog1.ShowDialog(Me) Then
            Return
        End If
        Me.textBox1.Text = Me.openFileDialog1.FileName
    End Sub

    ' デスクトップメニュークリック
    Private Sub menuDesktop_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuDesktop.Click
        Me.openFileDialog1.InitialDirectory = System.Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory)
        If DialogResult.Cancel = Me.openFileDialog1.ShowDialog(Me) Then
            Return
        End If
        Me.textBox1.Text = Me.openFileDialog1.FileName
    End Sub

    ' マイ ドキュメントメニュークリック
    Private Sub menuMyDocuments_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuMyDocuments.Click
        Me.openFileDialog1.InitialDirectory = System.Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)
        If DialogResult.Cancel = Me.openFileDialog1.ShowDialog(Me) Then
            Return
        End If
        Me.textBox1.Text = Me.openFileDialog1.FileName
    End Sub

    ' C ドライブメニュークリック
    Private Sub menuCDrive_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuCDrive.Click
        Me.openFileDialog1.InitialDirectory = "C:\"
        If DialogResult.Cancel = Me.openFileDialog1.ShowDialog(Me) Then
            Return
        End If
        Me.textBox1.Text = Me.openFileDialog1.FileName
    End Sub

    ' 色ボタンクリック
    Private Sub dropDownButton2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles dropDownButton2.Click
        If DialogResult.Cancel = Me.colorDialog1.ShowDialog(Me) Then
            Return
        End If
        Me.pictureBox1.BackColor = Me.colorDialog1.Color
    End Sub

    ' 各色メニュークリック
    Private Sub menuColor_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuRed.Click, menuOrange.Click, menuYellow.Click, menuGreen.Click, menuBlue.Click, menuPurple.Click, menuPink.Click
        Dim item As ToolStripItem = DirectCast(sender, ToolStripItem)
        Dim name As String = item.Text
        Try
            Dim colorObj As Color = Color.FromName(name)
            Me.pictureBox1.BackColor = colorObj
        Catch
            Return
        End Try
    End Sub

End Class
